Subject: RE: bug#42790: [PATH] 27.1; Add version info into file name "emacs.pdmp" to avoid mismatch pdmp file

From: <[email-masked]>
Date: Sat, 15 Aug 2020 12:52:18 +0800

Hi Lars,

I assume you already have an environment that can compile Emacs success, and these command lines will illustrate what happened,

cd ~ && git clone --depth 1 -b emacs-27 git://git.savannah.gnu.org/emacs.git ~/emacs && cd ~/emacs && ./autogen.sh; 
mkdir -p ~/emacs-min && cd ~/emacs-min && ~/emacs/configure --program-suffix=m --with-x=no && sudo make install;  
mkdir -p ~/emacs-nor && cd ~/emacs-nor && ~/emacs/configure && sudo make install;

Then try run /usr/local/bin/emacsm, you'll get the error message.

Regards
Lin Sun
-----Original Message-----
From: Lars Ingebrigtsen <[email-masked]> 
Sent: Friday, August 14, 2020 22:53
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: bug#42790: [PATH] 27.1; Add version info into file name "emacs.pdmp" to avoid mismatch pdmp file

<[email-masked]> writes:

> The pdmp file always named as "emcas.pdmp", this will cause error in 
> my local that I build two Emacs with different configuration options 
> and different suffix from same source tree. Here are configure lines:
>
> $ cd ~/emacs-min && ~/emacs/configure --program-suffix=m --with-x=no...
> $ cd ~/emacs-nor && ~/emacs/configure # normal build
>
> After installation, run the first installed Emacs binary, there is 
> error message as follow:

I'm not sure I understand the use case or the recipe -- if I try something like that, it just says

gcc: error: fontset.o: No such file or directory
gcc: error: fringe.o: No such file or directory
gcc: error: image.o: No such file or directory
gcc: error: xgselect.o: No such file or directory
gcc: error: terminfo.o: No such file or directory
gcc: error: lastfile.o: No such file or directory
make[1]: *** [Makefile:651: temacs] Error 1
make[1]: Leaving directory '/tmp/em/src'
make: *** [Makefile:424: src] Error 2

after saying "make".

--
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no